﻿using UniversityDataModels.Enums;
using UniversityDataModels.Models;

namespace UniversityContracts.BindingModels
{
    public class ExaminationResultBindingModel : IExaminationResultModel
    {
        public int Id { get; set; }
        public string ExaminationForm { get; set; } = String.Empty;
        public MarkType Mark { get; set; } = MarkType.Неизвестен;
        public DateTime Date { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);
        public Dictionary<int, IStudentModel> Students { get; set; } = new();
    }
}
